# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/pyrodigal, last modified Wed Jul 31 05:38:47 2024
# ------------------------------------------------

package:
  name: pyrodigal
  version: 3.5.1
source:
  sha256: 20af59a6d968c88910b99d5f647bb7dd22d49e440ead95fe715cdd2c49f36e9f
  url: https://pypi.io/packages/source/p/pyrodigal/pyrodigal-3.5.1.tar.gz
build:
  entry_points:
    - pyrodigal = pyrodigal.cli:main
  number: '1'
  run_exports:
    - pyrodigal >=3.5.1,<4.0a0
  script: /opt/mambaforge/envs/bioconda/conda-bld/pyrodigal_1722404679334/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps --no-build-isolation --no-cache-dir --use-pep517 -vvv
  string: py39h1841df5_1
requirements:
  build:
    - ca-certificates 2024.7.4 h8857fd0_0
    - cctools_osx-64 986 h303a5ab_3
    - clang 16.0.6 default_h179603d_11
    - clang-16 16.0.6 default_h0c94c6a_11
    - clang_impl_osx-64 16.0.6 h8787910_18
    - clang_osx-64 16.0.6 hb91bd55_18
    - clangxx 16.0.6 default_h179603d_11
    - compiler-rt 16.0.6 ha38d28d_2
    - compiler-rt_osx-64 16.0.6 ha38d28d_2
    - icu 75.1 h120a0e1_0
    - ld64_osx-64 711 h04ffbf3_3
    - libclang-cpp16 16.0.6 default_h0c94c6a_11
    - libcxx 18.1.8 hef8daea_2
    - libiconv 1.17 hd75f5a5_2
    - libllvm16 16.0.6 hbedff68_3
    - libxml2 2.12.7 heaf3512_4
    - libzlib 1.3.1 h87427d6_1
    - llvm-tools 16.0.6 hbedff68_3
    - openssl 3.3.1 h87427d6_2
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.6 h915ae27_0
  host:
    - bzip2 1.0.8 hfdf4475_7
    - ca-certificates 2024.7.4 h8857fd0_0
    - cython 3.0.10 py39hd253f6c_0
    - libcxx 18.1.8 hef8daea_2
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.46.0 h1b8f9f3_0
    - libzlib 1.3.1 h87427d6_1
    - ncurses 6.5 h5846eda_0
    - openssl 3.3.1 h87427d6_2
    - pip 24.0 pyhd8ed1ab_0
    - python 3.9.19 h7a9c478_0_cpython
    - python_abi 3.9 4_cp39
    - readline 8.2 h9e318b2_1
    - setuptools 71.0.4 pyhd8ed1ab_0
    - tk 8.6.13 h1abcd95_1
    - tzdata 2024a h0c530f3_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xz 5.2.6 h775f41a_0
  run:
    - archspec >=0.2.0
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
test:
  commands:
    - pyrodigal --help
    - python -m unittest -vv pyrodigal.tests
  imports:
    - pyrodigal
about:
  dev_url: https://github.com/althonos/pyrodigal
  doc_url: https://pyrodigal.readthedocs.org
  home: https://github.com/althonos/pyrodigal
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: COPYING
  summary: Python bindings to Prodigal, an ORF finder for microbial sequences.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.21105/joss.04296
  recipe-maintainers:
    - althonos
